ru.yandex.clickhouse.domain

## Enum ClickHouseFormat

- java.lang.Object
- - java.lang.Enum<ClickHouseFormat>
  - - ru.yandex.clickhouse.domain.ClickHouseFormat

All Implemented Interfaces:
  Serializable, Comparable<ClickHouseFormat>

    public enum ClickHouseFormat
    extends Enum<ClickHouseFormat>

Input / Output formats supported by ClickHouse

Note that the sole existence of a format in this enumeration does not mean that its use is supported for any operation with this JDBC driver. When in doubt, just omit any specific format and let the driver take care of it.

Author:
  Dmitry Andreev
See Also:
  ClickHouse Reference Documentation

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CapnProto`
`CSV`
`CSVWithNames`
`JSON`
`JSONCompact`
`JSONEachRow`
`Native`
`Null`
`Pretty`
`PrettyCompact`
`PrettyCompactMonoBlock`
`PrettyNoEscapes`
`PrettySpace`
`Protobuf`
`RowBinary`
`TabSeparated`
`TabSeparatedRaw`
`TabSeparatedWithNames`
`TabSeparatedWithNamesAndTypes`
`TSKV`
`Values`
`Vertical`
`XML`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `containsFormat(String statement)`
`static ClickHouseFormat` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ClickHouseFormat[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TabSeparated

    public static final ClickHouseFormat TabSeparated

#### TabSeparatedRaw

    public static final ClickHouseFormat TabSeparatedRaw

#### TabSeparatedWithNames

    public static final ClickHouseFormat TabSeparatedWithNames

#### TabSeparatedWithNamesAndTypes

    public static final ClickHouseFormat TabSeparatedWithNamesAndTypes

#### CSV

    public static final ClickHouseFormat CSV

#### CSVWithNames

    public static final ClickHouseFormat CSVWithNames

#### Values

    public static final ClickHouseFormat Values

#### Vertical

    public static final ClickHouseFormat Vertical

#### JSON

    public static final ClickHouseFormat JSON

#### JSONCompact

    public static final ClickHouseFormat JSONCompact

#### JSONEachRow

    public static final ClickHouseFormat JSONEachRow

#### TSKV

    public static final ClickHouseFormat TSKV

#### Pretty

    public static final ClickHouseFormat Pretty

#### PrettyCompact

    public static final ClickHouseFormat PrettyCompact

#### PrettyCompactMonoBlock

    public static final ClickHouseFormat PrettyCompactMonoBlock

#### PrettyNoEscapes

    public static final ClickHouseFormat PrettyNoEscapes

#### PrettySpace

    public static final ClickHouseFormat PrettySpace

#### Protobuf

    public static final ClickHouseFormat Protobuf

#### RowBinary

    public static final ClickHouseFormat RowBinary

#### Native

    public static final ClickHouseFormat Native

#### Null

    public static final ClickHouseFormat Null

#### XML

    public static final ClickHouseFormat XML

#### CapnProto

    public static final ClickHouseFormat CapnProto

### Method Detail

#### values

    public static ClickHouseFormat[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ClickHouseFormat c : ClickHouseFormat.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ClickHouseFormat valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### containsFormat

    public static boolean containsFormat(String statement)